import { CallbackFunction, DaysHighlight, Options } from '../types';
export declare class HelloWeek {
    private initOptions;
    private options;
    private selector;
    private calendar;
    private date;
    private todayDate;
    private daysHighlight;
    private defaultDate;
    private langs;
    private daysOfMonth;
    private intervalRange;
    private daysSelected;
    private lastSelectedDay;
    private days;
    constructor(options: Options);
    destroy(): void;
    prev(callback: CallbackFunction): void;
    next(callback: CallbackFunction): void;
    update(): void;
    reset(options: Options, callback?: CallbackFunction): void;
    goToday(): void;
    goToDate(date: Date | string | number): void;
    getDays(): string[];
    getDaySelected(): number;
    getDaysHighlight(): DaysHighlight[];
    getMonth(): number;
    getYear(): number;
    setDaysHighlight(daysHighlight: DaysHighlight[]): void;
    setMultiplePick(state: boolean): void;
    setDisablePastDays(state: boolean): void;
    setTodayHighlight(state: boolean): void;
    setRange(state: boolean): void;
    setLocked(state: boolean): void;
    setMinDate(date: Date): void;
    setMaxDate(date: Date): void;
    private init;
    private selectDay;
    private getIntervalOfDates;
    private handleClickInteraction;
    private handleMouseInteraction;
    private createWeek;
    private createMonth;
    private createDay;
    private setDaysDisable;
    private setDayHighlight;
    private setStyleDayHighlight;
    private monthsAsString;
    private weekAsString;
    private mounted;
    private clearCalendar;
    private removeStatesClass;
}
