# Format

Hello Week have your own date format. In the following table you can see the options available.

**Quick Example:**

```js
new HelloWeek({
    format: 'DD-MMM-YYYY',
});
```

## Options

| Input            | Example             | Description                                              |
| ---------------- | ------------------- | -------------------------------------------------------- |
| `dd`             | `1..31`             | Day of the month without leading zeros.                  |
| `DD`             | `01..31`            | Day of the month, 2 digits with leading zeros.           |
| `mm`             | `1..12`             | Numeric representation of a month, without leading zeros |
| `MM`             | `01..12`            | Month number, with leading zeros.                        |
| `mmm`            | `Jan..Dec`          | Month name with short textual representation.            |
| `MMM`            | `January..December` | A full textual representation of a month.                |
| `yyyy` or `YYYY` | `2018`              | A full numeric representation of a year, 4 digits.       |
| `yy` or `YY`     | `18`                | A two digit representation of a year.                    |
